[SOLVED] Old Java version: is it safe?

Questions about applications and software
Forum rules
Before you post please read this

[SOLVED] Old Java version: is it safe?

Postby palimmo on Fri Jan 17, 2014 12:16 pm

Hello.
This is the version installed on my LMDE 64bit machine.
qq.png

6.27... It looks really old.
How can I have an update system with one of the last java version? And then.. I think is recommended to switch to java 7. How can I?
Thanks!
Last edited by palimmo on Sun Jan 19, 2014 6:07 am, edited 1 time in total.
LMDE 64bit Cinnamon
User avatar
palimmo
Level 3
Level 3
 
Posts: 162
Joined: Sun Feb 03, 2013 9:55 am

Linux Mint is funded by ads and donations.
 

Re: Old Java version: is it safe?

Postby palimmo on Fri Jan 17, 2014 12:39 pm

That's probably the best way to jump to oracle java 7.
http://www.webupd8.org/2012/06/how-to-i ... ebian.html
But I have still a question: is it safe to stay with sun java 6.27?
LMDE 64bit Cinnamon
User avatar
palimmo
Level 3
Level 3
 
Posts: 162
Joined: Sun Feb 03, 2013 9:55 am

Re: Old Java version: is it safe?

Postby grizzler on Fri Jan 17, 2014 3:54 pm

Short answer: no.
Slightly longer answer: definitely not.

That version is from the time Oracle withdrew the licence that allowed Debian to distribute Java, about two and a half years ago. Even (much) later versions are considered unsafe. You should replace it with the openjdk-7 packages (check the repository - e.g. using Synaptic) or, if you really need Oracle's version, use either the installer from the webupd8 PPA or the one from the Duinsoft repository.
grizzler
Level 4
Level 4
 
Posts: 399
Joined: Wed Jun 15, 2011 5:19 pm
Location: The Hague, NL

Re: Old Java version: is it safe?

Postby palimmo on Fri Jan 17, 2014 6:08 pm

I'm using the webupd8 ppa and it seems ok.
Can I remove now all the openjdk packages?
LMDE 64bit Cinnamon
User avatar
palimmo
Level 3
Level 3
 
Posts: 162
Joined: Sun Feb 03, 2013 9:55 am

Re: Old Java version: is it safe?

Postby grizzler on Sat Jan 18, 2014 3:48 am

Yes, unless some other package blocks that.
grizzler
Level 4
Level 4
 
Posts: 399
Joined: Wed Jun 15, 2011 5:19 pm
Location: The Hague, NL

Re: Old Java version: is it safe?

Postby palimmo on Sun Jan 19, 2014 6:06 am

I can confirm: I have removed any openjdk package and java (oracle) works.
thanks.
LMDE 64bit Cinnamon
User avatar
palimmo
Level 3
Level 3
 
Posts: 162
Joined: Sun Feb 03, 2013 9:55 am


Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 5 guests